<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>/vagrant/python/networking/client-server/client.py.html</title>
<meta name="Generator" content="Vim/8.1">
<meta name="plugin-version" content="vim8.1_v1">
<meta name="syntax" content="python">
<meta name="settings" content="use_css,pre_wrap,no_foldcolumn,prevent_copy=">
<meta name="colorscheme" content="none">
<style type="text/css">
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #ffffff; background-color: #000000; }
body { font-family: monospace; color: #ffffff; background-color: #000000; }
* { font-size: 1em; }
.PreProc { color: #5fd7ff; }
.Comment { color: #00ffff; }
.Constant { color: #ff40ff; }
.Identifier { color: #00ffff; font-weight: bold; }
-->
</style>
</head>
<body>
<pre id='vimCodeElement'>
<span class="Comment">#!/usr/bin/env python3</span>
<span class="Comment">#</span>
<span class="Comment"># Este codigo fue tomado de: <a href="https://pythongeeks.org/networking-in-python/">https://pythongeeks.org/networking-in-python/</a></span>
<span class="Comment"># y modificado por John Sanabria.</span>
<span class="Comment">#</span>
<span class="Comment"># Author: John Sanabria - john.sanabria@correounivalle.edu.co</span>
<span class="Comment"># Date: 2022-03-15</span>
<span class="Comment">#</span>
<span class="Comment"># 2022-03-15:</span>
<span class="Comment">#   Se modifico de modo que se le puedan pasar argumentos a la hora de lanzar</span>
<span class="Comment">#   la ejecucion del programa. Argumentos tales como: puerto, tamano de datos</span>
<span class="Comment">#   a recibir.</span>
<span class="Comment">#</span>
<span class="Comment">#importing the module</span>
<span class="PreProc">import</span> socket
<span class="Comment">#creating the socket</span>
cSct=socket.socket()
<span class="Comment">#connecting to the server</span>
cSct.connect((socket.gethostname(),<span class="Constant">9999</span>))
<span class="Comment">#receiving the TCP message and printing it. Since the message is sent in bytes, </span>
<span class="Comment">#we have to decode it before printing</span>
<span class="Identifier">print</span>(<span class="Constant">&quot;</span><span class="Constant">The message from the server is </span><span class="Constant">&quot;</span>,cSct.recv(<span class="Constant">1024</span>).decode())
<span class="Comment">#sending the TCP message to the server in bytes form</span>
cSct.send(<span class="Identifier">bytes</span>(<span class="Constant">'</span><span class="Constant">Happy to connect with you!</span><span class="Constant">'</span>,<span class="Constant">'</span><span class="Constant">utf-8</span><span class="Constant">'</span>))
<span class="Comment">#This stops the connection</span>
cSct.close()
</pre>
</body>
</html>
<!-- vim: set foldmethod=manual : -->
